=== debian/changelog ===
spectrwm (3.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 08 Jul 2020 23:37:22 +0200

spectrwm (3.4.0-1) unstable; urgency=medium

  * New upstream release.

  * Patches
    + Drop linux-Accept-user-provided-pkg-config-command.patch
      - Merged upstream
    + Drop linux-Install-examples.patch
      - Merged upstream
    + Drop Fix-man-warning.patch
      - Merged upstream

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 24 Jun 2020 22:23:19 +0200

spectrwm (3.3.0-1) unstable; urgency=medium

  * New upstream release.

  * Patches
    + Drop Install-more-files.patch
      - Merged upstream
    + Add linux-Accept-user-provided-pkg-config-command.patch
      - Kindly provided by Helmut Grohne. Along with some changes to
        debian/rules, also suggested by Helmut, this makes it possible
        to successfully cross-build spectrwm.
      - Closes: #928902 (FTCBFS: uses build architecture build tools)
    + Add Fix-man-warning.patch
    + Add linux-Install-examples.patch

  * debhelper
    + Switch to compat level 12

  * Other
    + Update Standards-Version to 4.5.0
      - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 29 Mar 2020 18:33:58 +0200
