=== debian/control ===
Source: spectrwm
Section: x11
Priority: optional
Maintainer: Andrea Bolognani <eof@kiyuko.org>
Build-Depends: debhelper-compat (= 12),
               libx11-dev,
               libx11-xcb-dev,
               libxcursor-dev,
               libxrandr-dev,
               libxt-dev,
               libxtst-dev,
               libxcb1-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-util0-dev,
               libxcb-xfixes0-dev,
               libxcb-xinput-dev,
               libxcb-xtest0-dev,
               libxft-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/conformal/spectrwm
Vcs-Git: https://salsa.debian.org/debian/spectrwm.git
Vcs-Browser: https://salsa.debian.org/debian/spectrwm

Package: spectrwm
Architecture: any
Provides: x-window-manager
Depends: suckless-tools,
         xterm | x-terminal-emulator,
         libxt6,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: xfonts-terminus
Description: dynamic tiling window manager
 spectrwm is a small dynamic tiling window manager for X11.
 .
 It tries to stay out of the way so that valuable screen real estate can
 be used for much more important stuff. It has sane defaults and does not
 require one to learn a language to do any configuration.
 .
 It is written by hackers for hackers and it strives to be small, compact
 and fast.
