=== debian/tests/control ===
Tests: smoke
Depends: spectrwm, xvfb, xfonts-base, x11-utils, wmctrl, procps
