## spectrwm 3.5.1

=== linux/Makefile ===
--- 
+++ 
@@ -8,36 +8,36 @@
 XSESSIONSDIR ?= $(DATAROOTDIR)/xsessions
 PKG_CONFIG   ?= pkg-config
 
-BUILDVERSION    = $(shell sh $(CURDIR)/../buildver.sh)
-LIBVERSION      = $(shell .  $(CURDIR)/../lib/shlib_version; echo $$major.$$minor)
-LIBMAJORVERSION = $(shell .  $(CURDIR)/../lib/shlib_version; echo $$major)
+BUILDVERSION    := $(shell sh $(CURDIR)/../buildver.sh)
+LIBVERSION      := $(shell .  $(CURDIR)/../lib/shlib_version; echo $$major.$$minor)
+LIBMAJORVERSION := $(shell .  $(CURDIR)/../lib/shlib_version; echo $$major)
 
-MAINT_CFLAGS   = -std=c99 -Wmissing-prototypes -Wall -Wextra -Wshadow -Wno-uninitialized -g
-MAINT_LDFLAGS  = -Wl,--as-needed
-MAINT_CPPFLAGS = -I. -D_GNU_SOURCE -DSWM_LIB=\"$(LIBDIR)/libswmhack.so.$(LIBVERSION)\"
+MAINT_CFLAGS   := -std=c99 -Wmissing-prototypes -Wall -Wextra -Wshadow -g
+MAINT_LDFLAGS  := -Wl,--as-needed
+MAINT_CPPFLAGS := -I. -D_GNU_SOURCE -DSWM_LIB=\"$(LIBDIR)/libswmhack.so.$(LIBVERSION)\"
 
 ifneq ("${BUILDVERSION}", "")
 MAINT_CPPFLAGS += -DSPECTRWM_BUILDSTR=\"$(BUILDVERSION)\"
 endif
 
-BIN_CFLAGS   = -fPIE
-BIN_LDFLAGS  = -fPIE -pie
-BIN_CPPFLAGS = $(shell $(PKG_CONFIG) --cflags x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xinput xcb-xtest xcursor xft)
-BIN_LDLIBS   = $(shell $(PKG_CONFIG) --libs   x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xinput xcb-xtest xcursor xft)
-LIB_CFLAGS   = -fPIC
-LIB_LDFLAGS  = -fPIC -shared
-LIB_CPPFLAGS = $(shell $(PKG_CONFIG) --cflags x11)
-LIB_LDLIBS   = $(shell $(PKG_CONFIG) --libs   x11) -ldl
+BIN_CFLAGS   := -fPIE
+BIN_LDFLAGS  := -fPIE -pie
+BIN_CPPFLAGS := $(shell $(PKG_CONFIG) --cflags x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xinput xcb-xtest xcursor fontconfig xft)
+BIN_LDLIBS   := $(shell $(PKG_CONFIG) --libs   x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xinput xcb-xtest xcursor fontconfig xft)
+LIB_CFLAGS   := -fPIC
+LIB_LDFLAGS  := -fPIC -shared
+LIB_CPPFLAGS := $(shell $(PKG_CONFIG) --cflags x11)
+LIB_LDLIBS   := $(shell $(PKG_CONFIG) --libs   x11) -ldl
 
 all: spectrwm libswmhack.so.$(LIBVERSION)
 
 spectrwm: spectrwm.o linux.o
 	$(CC) $(MAINT_LDFLAGS) $(BIN_LDFLAGS) $(LDFLAGS) -o $@ $+ $(BIN_LDLIBS) $(LDLIBS)
 
-spectrwm.o: ../spectrwm.c ../version.h tree.h util.h
+spectrwm.o: ../spectrwm.c ../version.h tree.h util.h queue_compat.h
 	$(CC) $(MAINT_CFLAGS) $(BIN_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(BIN_CPPFLAGS) $(CPPFLAGS) -c -o $@ $<
 
-linux.o: linux.c util.h
+linux.o: linux.c util.h queue_compat.h
 	$(CC) $(MAINT_CFLAGS) $(BIN_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(BIN_CPPFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 libswmhack.so.$(LIBVERSION): swm_hack.so
