=== debian/changelog ===
spectrwm (3.5.1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:21:16 +1100

spectrwm (3.5.1-1ubuntu1) noble; urgency=medium

  * Don't hard-code dependency on on shared library package.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 17:42:09 +0100

spectrwm (3.5.1-1build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:54:57 +0000

spectrwm (3.5.1-1) unstable; urgency=medium

  * New upstream release

  * Patches
    + Drop backports
    + Update debian/Change-default-programs.patch
      - Reflect Debian-specific default programs in
        /etc/spectrwm.conf too

  * Package relationships
    + Add Build-Depends on libfontconfig-dev
      - New dependency introduced upstream
    + Drop Build-Depends on libxtst-dev and libxcb-xfixes0-dev
      - No longer needed

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 07 Jan 2024 17:50:24 +0100

spectrwm (3.4.1-3) unstable; urgency=medium

  * Patches
    + Convert accepted forwarded patch to backport
    + Fix tagging of Debian-specific patch

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 12 Feb 2023 16:55:17 +0100

spectrwm (3.4.1-2) unstable; urgency=medium

  * Patches
    + Reorganize by using gbp pq's topic feature
    + Add forward/Escape-backslashes-correctly-in-manual-page.patch
      - Fixes acute-accent-in-manual-page Lintian tag

  * Package relationships
    + Build-Depend on libxcb-util-dev instead of libxcb-util0-dev
      - Fixes build-depends-on-obsolete-package Lintian tag

  * debhelper
    + Switch to compat level 13
      - Contributed by Debian Janitor

  * Standards-Version
    + Update to 4.6.2
      - Set priority to 40 for the x-window-manager alternative

  * Other
    + Fix watch file
      - Adapt to recent changes in GitHub

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 06 Feb 2023 22:28:49 +0100
