=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: spectrwm
 Section: x11
 Priority: optional
-Maintainer: Andrea Bolognani <eof@kiyuko.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrea Bolognani <eof@kiyuko.org>
+Build-Depends: debhelper-compat (= 13),
                libx11-dev,
                libx11-xcb-dev,
                libxcursor-dev,
                libxrandr-dev,
                libxt-dev,
-               libxtst-dev,
                libxcb1-dev,
                libxcb-icccm4-dev,
                libxcb-keysyms1-dev,
                libxcb-randr0-dev,
-               libxcb-util0-dev,
-               libxcb-xfixes0-dev,
+               libxcb-util-dev,
                libxcb-xinput-dev,
                libxcb-xtest0-dev,
+               libfontconfig-dev,
                libxft-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/conformal/spectrwm
 Vcs-Git: https://salsa.debian.org/debian/spectrwm.git
 Vcs-Browser: https://salsa.debian.org/debian/spectrwm
@@ -29,7 +29,7 @@
 Provides: x-window-manager
 Depends: suckless-tools,
          xterm | x-terminal-emulator,
-         libxt6,
+         ${lib:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: xfonts-terminus
