=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: spectrwm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrea Bolognani <eof@kiyuko.org>
+Maintainer: Andrea Bolognani <eof@kiyuko.org>
 Build-Depends: debhelper-compat (= 13),
+               libbsd-dev,
                libx11-dev,
                libx11-xcb-dev,
                libxcursor-dev,
-               libxrandr-dev,
                libxt-dev,
                libxcb1-dev,
                libxcb-icccm4-dev,
@@ -19,7 +18,7 @@
                libfontconfig-dev,
                libxft-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/conformal/spectrwm
 Vcs-Git: https://salsa.debian.org/debian/spectrwm.git
 Vcs-Browser: https://salsa.debian.org/debian/spectrwm
@@ -29,7 +28,6 @@
 Provides: x-window-manager
 Depends: suckless-tools,
          xterm | x-terminal-emulator,
-         ${lib:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: xfonts-terminus
