=== linux/Makefile ===
--- 
+++ 
@@ -22,22 +22,19 @@
 
 BIN_CFLAGS   := -fPIE
 BIN_LDFLAGS  := -fPIE -pie
-BIN_CPPFLAGS := $(shell $(PKG_CONFIG) --cflags x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xinput xcb-xtest xcursor fontconfig xft)
-BIN_LDLIBS   := $(shell $(PKG_CONFIG) --libs   x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xinput xcb-xtest xcursor fontconfig xft)
+BIN_CPPFLAGS := $(shell $(PKG_CONFIG) --cflags libbsd-overlay x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xinput xcb-xtest xcursor fontconfig xft)
+BIN_LDLIBS   := $(shell $(PKG_CONFIG) --libs   libbsd-overlay x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xinput xcb-xtest xcursor fontconfig xft)
 LIB_CFLAGS   := -fPIC
 LIB_LDFLAGS  := -fPIC -shared
 LIB_CPPFLAGS := $(shell $(PKG_CONFIG) --cflags x11)
-LIB_LDLIBS   := $(shell $(PKG_CONFIG) --libs   x11) -ldl
+LIB_LDLIBS   := -ldl
 
 all: spectrwm libswmhack.so.$(LIBVERSION)
 
-spectrwm: spectrwm.o linux.o
+spectrwm: spectrwm.o
 	$(CC) $(MAINT_LDFLAGS) $(BIN_LDFLAGS) $(LDFLAGS) -o $@ $+ $(BIN_LDLIBS) $(LDLIBS)
 
 spectrwm.o: ../spectrwm.c ../version.h tree.h util.h queue_compat.h
-	$(CC) $(MAINT_CFLAGS) $(BIN_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(BIN_CPPFLAGS) $(CPPFLAGS) -c -o $@ $<
-
-linux.o: linux.c util.h queue_compat.h
 	$(CC) $(MAINT_CFLAGS) $(BIN_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(BIN_CPPFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 libswmhack.so.$(LIBVERSION): swm_hack.so
@@ -70,7 +67,7 @@
 	install -m 644 ../initscreen.sh            $(DESTDIR)$(DOCDIR)/examples
 	install -m 644 ../screenshot.sh            $(DESTDIR)$(DOCDIR)/examples
 	install -m 644 ../spectrwm_*.conf          $(DESTDIR)$(DOCDIR)/examples
-	install -m 644 spectrwm.desktop            $(DESTDIR)$(XSESSIONSDIR)
+	install -m 644 ../spectrwm.desktop         $(DESTDIR)$(XSESSIONSDIR)
 
 uninstall:
 	rm -f $(DESTDIR)$(BINDIR)/spectrwm
