=== netbsd/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 CFLAGS+= -I. -I${LOCALBASE}/include -I${LOCALBASE}/include/freetype2
 CFLAGS+= -DSWM_LIB=\"$(SWM_LIBDIR)/libswmhack.so.$(LVERS)\"
 LDADD+= -lutil -L${LOCALBASE}/lib -lX11 -lX11-xcb -lxcb \
-	-lxcb-icccm -lxcb-keysyms -lxcb-randr -lxcb-util -lxcb-xinput -lxcb-xtest -lXft -lXcursor
+	-lxcb-icccm -lxcb-keysyms -lxcb-randr -lxcb-util -lxcb-xinput -lxcb-xtest -lfontconfig -lXft -lXcursor
 
 
 all: spectrwm libswmhack.so.$(LVERS)
@@ -25,7 +25,7 @@
 spectrwm.c:
 	ln -sf ../spectrwm.c
 	ln -sf ../version.h
-	ln -sf ../linux/pledge.h
+	ln -sf ../linux/queue_compat.h
 
 swm_hack.c:
 	ln -sf ../lib/swm_hack.c
@@ -49,7 +49,7 @@
 	ln -sf spectrwm $(SWM_BINDIR)/scrotwm
 
 clean:
-	rm -f spectrwm *.o *.so libswmhack.so.* spectrwm.c swm_hack.c version.h
+	rm -f spectrwm *.o *.so libswmhack.so.* spectrwm.c swm_hack.c version.h queue_compat.h
 
 .PHONY:	all install clean
