=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,9 @@
 	dh_auto_install --sourcedir=$(SOURCEDIR) --destdir=$(DESTDIR)
 	mv $(DESTDIR)/usr/share/doc/spectrwm/CHANGELOG.md \
 	   $(DESTDIR)/usr/share/doc/spectrwm/NEWS
+	mkdir -p $(DESTDIR)/usr/share/xdg-desktop-portal/
+	cp debian/spectrwm-portals.conf \
+	   $(DESTDIR)/usr/share/xdg-desktop-portal/
 
 override_dh_auto_clean:
 	dh_auto_clean --sourcedir=$(SOURCEDIR)
@@ -60,8 +63,3 @@
 # implements, but spectrwm doesn't qualify for any of those bonuses.
 override_dh_installwm:
 	dh_installwm --priority=40
-
-override_dh_gencontrol:
-	dh_gencontrol -- \
-	  -Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' libxt-dev \
-			| sed -E 's/.*(libxt[[:alnum:].-]+).*/\1/')
