=== debian/watch ===
version=4
opts=\
pgpmode=none,\
searchmode=plain,\
downloadurlmangle=s%^.+/([^/]+)$%https://github.com/conformal/spectrwm/archive/refs/tags/$1.tar.gz%,\
filenamemangle=s%^.+_(\d+)_(\d+)_(\d+)$%spectrwm-$1.$2.$3.tar.gz% \
\
https://api.github.com/repos/conformal/spectrwm/releases \
https://api.github.com/repos/conformal/spectrwm/tarball/SPECTRWM_(\d+)_(\d+)_(\d+)
